import { Sortable } from 'sortablejs'

import { submitValue } from './submit_value.js'

export default function initPoliticianQuestions() {
    document.querySelectorAll('[data-behaviour="politicians_answer').forEach((list) => {
        const submitUrl = list.dataset.submitUrl

        Sortable.create(list, {
            swap: true,
            filter: ".politician-image",
            onUpdate: (event) => {
                const newOrder = Array.from(event.to.children).map((el) => Number.parseInt(el.dataset.id))
                submitValue(submitUrl, { order: newOrder })
            }
        })
    })
}
